Subject: bug#25602: [parted] Problem with msdos mbr creation

From: "Brian C. Lane" <[email-masked]>
Date: Thu, 2 Feb 2017 08:50:54 -0800

On Thu, Feb 02, 2017 at 10:05:35AM +0100, Lukasz Majewski wrote:
> Hi Brian,
> 
> > On Wed, Feb 01, 2017 at 11:28:03AM +0100, Lukasz Majewski wrote:
> > > Dear All,
> > If it
> > causes problems on a non-x86 system you should zero it out
> 
> The problem is that we are using it with TI's SDK script to create
> bootable SD card.
> 
> In this script we clean (write 0x00) the MBR before we run parted -s
> msdos.
> 
> The problem is that parted itself (and silently) puts the code there
> and hence the embedded system thinks that there is a valid bootloader
> code and happily hangs.
> 
> Is there any option to parted to avoid adding this code (and behave
> like fdisk)?

No, the only time it won't write it is if there is something already
there (eg. not 0x00). So if you could get the SDK to write it's
bootloader first, then partition it, parted will leave it untouched.

-- 
Brian C. Lane (PST8PDT)